%define url_ver		%(echo %{version}|cut -d. -f1,2)

%define major		2
%define gir_major	0.10
%define libname		%mklibname gexiv2_ %{major}
%define develname	%mklibname gexiv2 -d
%define gir_name	%mklibname gexiv2-gir %{gir_major}

Summary:	A GObject-based wrapper around the Exiv2 library
Name:		libgexiv2
Version:	0.10.4
Release:	%mkrel 5
License:	GPLv2+
Group:		System/Libraries
Source0:	https://download.gnome.org/sources/gexiv2/%{url_ver}/gexiv2-%{version}.tar.xz
Url:		https://wiki.gnome.org/Projects/gexiv2
BuildRequires:	pkgconfig(exiv2) >= 0.21
BuildRequires:	glib2-devel
BuildRequires:	libtool
BuildRequires:	sed
BuildRequires:	libgirepository-devel
BuildRequires:	pkgconfig(vapigen)
BuildRequires:	pkgconfig(python)
BuildRequires:	python-gobject
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3-gobject3
# ovitters: pkgconfig(gobject-introspection-1.0) includes script to determine typelib() auto buildrequires
BuildRequires:	pkgconfig(gobject-introspection-1.0)

%description
gexiv2 is a GObject-based wrapper around the Exiv2 library. It makes
the basic features of Exiv2 available to GNOME applications.

%package -n %{gir_name}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}
Conflicts:	%{mklibname %{name}1.0-gir 1.0} < 1.29.3-4
Obsoletes:	%{_lib}libgexiv2-gir0.4 < 0.6.1-2

%description -n %{gir_name}
GObject Introspection interface description for %{name}.

%package -n %{libname}
Summary:	A GObject-based wrapper around the Exiv2 library
Group:		System/Libraries

%description -n %{libname}
gexiv2 is a GObject-based wrapper around the Exiv2 library. It makes
the basic features of Exiv2 available to GNOME applications.

%package -n %{develname}
Group:		Development/C
Summary:	A GObject-based wrapper around the Exiv2 library
Requires:	%{libname} = %{version}-%{release}
Requires:	%{gir_name} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Conflicts:	%{_lib}libgexiv2-gir0.4 < 0.6.1-2

%description -n %{develname}
gexiv2 is a GObject-based wrapper around the Exiv2 library. It makes
the basic features of Exiv2 available to GNOME applications.

%prep
%setup -q -n gexiv2-%{version}

%build
%configure2_5x --enable-introspection --enable-tests --enable-static=no
%make

%install
%make_install

find %{buildroot} -name '*.la' -delete

# move introspection typelib to correct location
mkdir -p $RPM_BUILD_ROOT%{_libdir}/girepository-1.0
mv $RPM_BUILD_ROOT%{_datadir}/gir-1.0/GExiv2-0.10.typelib \
   $RPM_BUILD_ROOT%{_libdir}/girepository-1.0/GExiv2-0.10.typelib

%find_lang %{name}

%check
#%%make tests

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/gexiv2
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/vala/vapi/gexiv2.vapi
%{_datadir}/gir-1.0/*-%{gir_major}.gir
#%%{python_sitearch}/gi/overrides/GExiv2.*
%{python3_sitearch}/gi/overrides/GExiv2.*
%{python3_sitearch}/gi/overrides/__pycache__/GExiv2.*

%files -n %{gir_name}
%{_libdir}/girepository-1.0/GExiv2-0.10.typelib


%changelog
* Sat Dec 31 2016 tv <tv> 0.10.4-5.mga6
+ Revision: 1078924
- move introspection typelib to correct location
  (thus fixing eg: gramps)

* Mon Sep 26 2016 tv <tv> 0.10.4-4.mga6
+ Revision: 1056839
- rebuild with fixed rpm-mageia-setup for missing generating typelib() requires (mga#19454)

* Sat Sep 24 2016 ovitters <ovitters> 0.10.4-3.mga6
+ Revision: 1055709
- rebuild for typelib provides

* Mon Sep 19 2016 tv <tv> 0.10.4-2.mga6
+ Revision: 1054112
- output typelib() provides

* Sun Sep 18 2016 ovitters <ovitters> 0.10.4-1.mga6
+ Revision: 1053931
- new version 0.10.4

* Mon Feb 15 2016 umeabot <umeabot> 0.10.3-5.mga6
+ Revision: 960996
- Mageia 6 Mass Rebuild

* Fri Oct 09 2015 daviddavid <daviddavid> 0.10.3-4.mga6
+ Revision: 887987
- rebuild for python 3.5

* Tue Aug 25 2015 tv <tv> 0.10.3-3.mga6
+ Revision: 869205
- rebuild for new libexiv2

* Mon Jun 29 2015 wally <wally> 0.10.3-2.mga6
+ Revision: 847539
- add requires for gir pkg to devel pkg

* Sat Jun 20 2015 ovitters <ovitters> 0.10.3-1.mga6
+ Revision: 836369
- new version 0.10.3

* Wed Oct 15 2014 umeabot <umeabot> 0.10.2-2.mga5
+ Revision: 744495
- Second Mageia 5 Mass Rebuild

* Wed Sep 17 2014 ovitters <ovitters> 0.10.2-1.mga5
+ Revision: 691346
- new version 0.10.2
- add gobject-introspection BR for typelib auto BR

  + umeabot <umeabot>
    - Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 0.10.1-3.mga5
+ Revision: 629684
- Rebuild for new Python

* Sat May 31 2014 pterjan <pterjan> 0.10.1-2.mga5
+ Revision: 629536
- Rebuild for new Python

* Fri Apr 25 2014 ovitters <ovitters> 0.10.1-1.mga5
+ Revision: 618056
- new version 0.10.1

* Sun Mar 23 2014 dams <dams> 0.10.0-1.mga5
+ Revision: 606671
- new version 0.10.0

* Tue Feb 25 2014 tv <tv> 0.7.0-4.mga5
+ Revision: 596761
- rebuild for new libexiv2

* Thu Nov 28 2013 dams <dams> 0.7.0-3.mga4
+ Revision: 553853
- update source URL

* Mon Oct 21 2013 umeabot <umeabot> 0.7.0-2.mga4
+ Revision: 539008
- Mageia 4 Mass Rebuild

* Fri Oct 04 2013 fwang <fwang> 0.7.0-1.mga4
+ Revision: 491201
- 0.7.0 final

* Wed Oct 02 2013 dams <dams> 0.7.0-0.git20131001.1.mga4
+ Revision: 490425
- decrease major
- new git snapshot (20131001)

* Sat Sep 21 2013 dams <dams> 0.7.0-0.git20130920.1.mga4
+ Revision: 482697
- new git snapshot (20130920), 0.7.0pr2

* Fri Sep 20 2013 dams <dams> 0.7.0-0.git20130910.1.mga4
+ Revision: 481627
- disable python stuff on BS
- new version 0.7.0 git snapshot (20130910)

* Sun Jun 16 2013 wally <wally> 0.6.1-3.mga4
+ Revision: 443708
- remove unneeded devel pkg require

* Sun Jun 16 2013 wally <wally> 0.6.1-2.mga4
+ Revision: 443696
- fix gir typelib pkg name
- move gir files to devel pkg

* Fri May 24 2013 tv <tv> 0.6.1-1.mga4
+ Revision: 426362
- disable python stuff on BS
- BR python-gobject
- BR python-devel
- BR libgirepository-devel
- enable introspection for gramps

* Tue Apr 02 2013 dams <dams> 0.6.1-1.mga3
+ Revision: 407324
- new version 0.6.1

* Sat Jan 12 2013 umeabot <umeabot> 0.5.0-2.mga3
+ Revision: 357207
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 dams <dams> 0.5.0-1.mga3
+ Revision: 314676
- new version 0.5.0

* Sun Aug 05 2012 dams <dams> 0.4.1-1.mga3
+ Revision: 278960
- new version 0.4.1
- rediff patch
- update major

* Mon Jun 18 2012 fwang <fwang> 0.3.92-2.mga3
+ Revision: 261683
- rebuild for new libexiv

* Wed Mar 21 2012 dams <dams> 0.3.92-1.mga2
+ Revision: 225276
- new version 0.3.92

* Tue Feb 21 2012 dams <dams> 0.3.91-1.mga2
+ Revision: 211563
- remove .la
- new version 0.3.91

* Sun Oct 09 2011 fwang <fwang> 0.3.1-1.mga2
+ Revision: 153404
- new version 0.3.1

* Thu Mar 24 2011 boklm <boklm> 0.3.0-5.mga1
+ Revision: 76169
- rebuild for bug #497

* Thu Mar 10 2011 mikala <mikala> 0.3.0-4.mga1
+ Revision: 67683
- Add Requires for libexiv-devel on -devel package

* Thu Mar 10 2011 mikala <mikala> 0.3.0-3.mga1
+ Revision: 67592
- Remove BuildRoot
- imported package libgexiv2

